@import "variables";
.create-note-container {
    position: relative;
    display: flex;
    flex-direction: column;
    background-color: transparent;
    padding: 1rem;
    width: 40%;
    border-radius: 10px;
    box-shadow: 0 0 0 5px rgba(0,0,0,.1);
    margin-bottom: 2rem;

    @media (max-width: 699px) {
        width: 80%;
    }
    
    &.dark {
        border: 1px solid $border-dark;
    }

    &.light {
        border: 1px solid $border-light;
    }

    .create-note-image {
        max-height: 40rem;
        position: relative;
        .resizable {
            overflow-y: scroll;
            max-height: 40rem;
        }
        .image {
            width: 100% !important;
            border-radius: 10px 10px 0 0;
        }
        .image-delete-icon {
            position: absolute;
            right: 1rem;
            bottom: 1rem;
            height: 4rem;
            width: 4rem;
            padding: 10px;
            border-radius: 5px;
            cursor: pointer;
            &.dark {
                background-color: $highlight-secondary-dark;
            }
            &.light {
                background-color: $highlight-secondary-light;
            }
        }
    }

    .progress-bar {
        width: 100%;
        border-radius: 10px 10px 0 0;
        background-color: #000;
        height: 10px;
        .filled-bar {
            border-radius: 10px 10px 0 0;
            height: 100%;
            background-color: blue;
        }
    }

    .pin-icon {
        position: absolute;
        top: 5px;
        right: 5px;
        cursor: pointer;
        height: 3rem;
        width: 3rem;
        padding: 7px;
        border-radius: 100px;

        @media (max-width: 699px) {
            padding: 3px;
        }

        &.dark {
            background-color: $highlight-secondary-dark;
        }

        &.light {
            background-color: $highlight-secondary-light;
        }
    }

    .create-note-title, .create-note-text {
        width: 100%;
        input, textarea {
            width: 100%;
            background-color: transparent;
            color: inherit;
            border: none;
            outline: none;
            padding: 1rem;
        }
    }

    .create-note-title > input {
        font-size: 2rem;
    }
    .create-note-text > textarea {
        font-size: 1.8rem;
        width: 100%;
        resize: none;
        height: 5rem;
    }

    .create-note-actions {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 1rem;

        .icons {
            display: flex;
            align-items: center;
        }

        &-icon {
            margin: 0 1rem;
            height: 3rem;
            width: 3rem;
            cursor: pointer;
            padding: 8px;
            border-radius: 100px;

            @media (max-width: 699px) {
                padding: 4px;
            }

            &.dark {
                &:hover {
                    background-color: $highlight-secondary-dark;
                }
            }

            &.light {
                &:hover {
                    background-color: $highlight-secondary-light;
                }
        }
        }

        .buttons {
            display: flex;
            align-items: center;
            button {
                background-color: transparent;
                border: none;
                outline: none;
                border-radius: 5px;
                padding: 1rem;
                cursor: pointer;
            }

            &.dark {
                button {
                    color: $font-dark;
                    &:hover {
                        background-color: $highlight-secondary-dark;
                    }
                }
            }

            &.light {
                button {
                    color: $font-light;
                    background-color: $highlight-secondary-light;
                }
            }
        }
    }
}